import { UmbWebhookDetailServerDataSource } from './webhook-detail.server.data-source.js';
import { UMB_WEBHOOK_DETAIL_STORE_CONTEXT } from './webhook-detail.store.js';
import { UmbDetailRepositoryBase } from '../../../../core/repository/index.js';
export class UmbWebhookDetailRepository extends UmbDetailRepositoryBase {
    constructor(host) {
        super(host, UmbWebhookDetailServerDataSource, UMB_WEBHOOK_DETAIL_STORE_CONTEXT);
    }
    async create(model) {
        return super.create(model, null);
    }
}
export default UmbWebhookDetailRepository;
